EZ-Builder Release 2013.06.05.00

Download and install the latest EZ-Builder robot programming software to experience these updates.

Download EZ-Builder
Thanks to Microsoft and a buggy webservice in .Net4, we were able to find a solution by recommending an upgrade to .Net 4.5.. However, that wasn't a very good solution! So I decided that we go back to the original web service method.

Changes:
- Contains the original web service from the old EZ-Builder (EZ-Cloud and EZ-Bits)
- EZ-Bit Library has a manager to delete EZ-Bits
- Updated EZ-Bit library with new Bits for JD and Six


*Note, it is recommended that you delete all of the items in your EZ-Bit Library after installing this upgrade. Then, you will be able to Sync and get the least EZ-Bits.

1) Load EZ-Builder
2) Press PROJECT from the top menu
3) Press LIBRARY
4) Select MANAGE tab
5) Press REFRESH
6) Press SELECT ALL
7) Press DELETE
8) Answer YES

Now all of your EZ-Bits will be deleted. This is good.:)

1) Switch to DOWNLOAD tab
2) Press SYNC

Now you will have the latest EZ-Bit library. Voila!
United Kingdom
#1  

Quote:

Error deleting EZ-Bit file from library: Could not find a part of the path 'C:\Users\Rich\Documents\EZ-Builder\EZ-Bits\0\.ez-bit'.


I have custom EZ-Bits, not sure if that makes a difference? Although there is no path for 0 in the EZ-Bits folder, just 1 to 6 excluding 2

I have to fly out to the office in about 5 minutes, I'll check it out on XP when I get there (.net 4.0 framework there)


Edit: Ignore that, I think it may have been from cheating by copying the library across from my laptop.

Edit 2: Yes it was. Deleted the files manually from explorer (but left the folders 1, 3, 4, 5 & 6) and it's all better. I know some others did it this way too so they will need to do that.
Canada
#2  
COOL i LOVE it i can now DL the EZ-Bits :D:D:D:D:D:D:D:D:D:D
DJ you and your staff are GODS
United Kingdom
#3  
XP and .net 4.0 downloads the library OK here too.


One note, the advanced/basic mode, when you check the boxes to tell it to display the control it actually hides the control from basic view, when unchecked it displays it. Unless I have read wrong that is backwards. No big deal but thought I should mention it.
Brazil
#4  
Hi friends. the Revolution is a great step! I'm impressed by the amazing things DJ is putting in our hands!
But I have a question... I was waiting for a sound servo control that could give me the choice of the signal imput (the sound board OR the mic, OR both..), to triguer my prototype´s mouth movement. That would be great for animatronics..
Is that possible now (and I am not finding how to do it..) or it´s not in the update horizon ?
best regards..
Canada
#5  
anyone else get the following error when trying to sync Downloading library index...
Error downloading from EZ-Cloud: Server was unable to process request. ---> Invalid username/password.
#6  
yes I did. re enter your info in Options/account settings.
Canada
#7  
Awesome thanks i just re-entered them and it started working again:) Thanks for the tip weird that even though the account was there it did not work. Oh well
#8  
I had changed my password so I figured I had to update my info. Glad it worked:)
Synthiam
#9  
Thanks for the notice. I've updated the next release to prompt for a username/password if not entered
#10  
I have a new laptop running windows 7 64bit ,how do i downgrade from net 4.5 to net 4.0 ?
#11  
You should be able to un install the framework entirely then install what ever version you want. You may be able to do this in the Add/Remove programs section. It should have an option to show updates. You may be able to roll back. Im at school now so I can't really verify details but it shouldn't be too difficult.

May I ask why you would want to go back to 4.0 when the new EZBuilder requires 4.5? Or is this just a computer for other uses?
United Kingdom
#12  
@antron007 There is no reason to roll back to .net 4.0

However, that is correct. Uninstalling and reinstalling an older version should work. It may cause some issues with other applications however if they rely on 4.5 framework. Personally I would advise against doing so without good reason.
Synthiam
#13  
4.5 is not required for ez-builder. The web service issue with timeout has been fixed and no longer requires the Microsoft fix.
#14  
I thought there was a easy way to switch from 4.5 to 4.0 ,i know about the add/remove programs and sometimes you remove programs may have a problem but fixing the registry will solve it.

DJ can 4.5 be ok to use on EZ-Builder ,just in case other programs may need it ?
#15  
@DJ Good to know. Thanks for correcting me:)
#16  
@RICH you said that i should not roll back because other programs may need it,mostly only putting a few on my new laptop mostly robot programs.

SO i should not a problem if i do can transfer to another computer.
United Kingdom
#17  
@Antron007 as far as I'm concerned and can see there is no reason to downgrade. EZ-Builder may not need 4.5 framework and runs just fine on 4.0 framework but if you have 4.5 framework installed there are no benefits to downgrading it.

The additions and improvements between 4.0 framework and 4.5 framework are explained here.

Basically, if you have 4.0 EZ-Builder will run just fine, if you have 4.5 EZ-Builder will run just fine too. But I'd still be asking why someone wants to downgrade.
Synthiam
#18  
If you've ever attempted to downgrade anything by Microsoft in the past - you will know better than to attempt it now:D
#19  
@DJ - I see you know my pain. Being the Nerdiest of my friends and family I get the pleasure of being resident tech support and I've learned the hard way that going backward is not part of the Microsoft vision. *stress*